Bug 967164 - [abrt] WARNING: at fs/sysfs/dir.c:536 sysfs_add_one+0xa0/0xd0()
[abrt] WARNING: at fs/sysfs/dir.c:536 sysfs_add_one+0xa0/0xd0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:35b473a2bd37df56d8cf135824e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 00:48 EDT by Mikhail
Modified: 2013-10-08 13:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 13:15:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (65.67 KB, text/plain)
2013-05-25 00:49 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-05-25 00:48:54 EDT
Additional info:
reporter:       libreport-2.1.4
WARNING: at fs/sysfs/dir.c:536 sysfs_add_one+0xa0/0xd0()
Hardware name: To Be Filled By O.E.M.
sysfs: cannot create duplicate filename '/module/acpi_cpufreq'
juli@: analog I/O detected
Modules linked in: acpi_cpufreq(+) mperf coretemp kvm_intel kvm snd_ice1724(+) snd_ak4113 crc32_pclmul snd_pt2258 crc32c_intel snd_ak4114 snd_i2c snd_ice17xx_ak4xxx microcode snd_ak4xxx_adda serio_raw i2c_i801 snd_rawmidi snd_ac97_codec lpc_ich ac97_bus mfd_core snd_seq snd_seq_device snd_pcm atl1c snd_page_alloc snd_timer snd soundcore mei parport_pc parport uinput binfmt_misc usb_storage i915 i2c_algo_bit drm_kms_helper drm i2c_core video
Pid: 226, comm: systemd-udevd Not tainted 3.9.3-301.fc19.i686.PAE #1
Call Trace:
 [<c044cd83>] warn_slowpath_common+0x63/0x80
 [<c05b6410>] ? sysfs_add_one+0xa0/0xd0
 [<c05b6410>] ? sysfs_add_one+0xa0/0xd0
 [<c044cdd3>] warn_slowpath_fmt+0x33/0x40
 [<c05b6410>] sysfs_add_one+0xa0/0xd0
 [<c05b6582>] create_dir+0x52/0x90
 [<c05b68b3>] sysfs_create_dir+0x83/0xe0
 [<c0410001>] ? lguest_read_cr2+0x1/0x10
 [<c06899bc>] kobject_add_internal+0x9c/0x2c0
 [<c0694bc0>] ? kvasprintf+0x40/0x50
 [<c0689ea2>] ? kobject_set_name_vargs+0x42/0x60
 [<c0689fb5>] kobject_init_and_add+0x35/0x50
 [<c04abaee>] load_module+0x184e/0x2390
 [<c04ac775>] sys_finit_module+0x65/0xb0
 [<c051fe1b>] ? vm_mmap_pgoff+0x7b/0xa0
 [<c099a68d>] sysenter_do_call+0x12/0x28

Potential duplicate: bug 759838
Comment 1 Mikhail 2013-05-25 00:49:00 EDT
Created attachment 752938 [details]
File: dmesg
Comment 2 Zigbar Lamia 2013-06-19 02:18:43 EDT
Description of problem:
Was playing with options in Blogilo when I got notified of four kernel crashes, three of which are unreportable because of a 'tainted kernel' (flags:GW).
Errors seem to indicate an error with bluetooth. Connected devices were a 'Linksys USBBT100 Ver.2' and a 'Logitech Media Board Pro'

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.5
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.5-301.fc19.x86_64 root=/dev/mapper/fedora_sabayon-root ro rd.md=0 rd.dm=0 rd.lvm.lv=fedora_sabayon/root vconsole.keymap=us rd.lvm.lv=fedora_sabayon/swap rd.luks=0 vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at fs/sysfs/dir.c:536 sysfs_add_one+0xae/0xe0()
Hardware name: HP Compaq dc5100 SFF(EN277UT)
sysfs: cannot create duplicate filename '/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0/bluetooth/hci0/hci0:6'
Modules linked in: joydev hidp rfcomm bnep nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables btusb bluetooth iTCO_wdt snd_intel8x0 snd_ac97_codec ac97_bus ppdev iTCO_vendor_support snd_seq snd_seq_device snd_pcm rfkill tg3 acpi_cpufreq mperf serio_raw snd_page_alloc snd_timer snd soundcore ptp pps_core lpc_ich mfd_core microcode wmi parport_pc parport uinput i915 video i2c_algo_bit drm_kms_helper drm i2c_core
Pid: 376, comm: kworker/u:1H Not tainted 3.9.5-301.fc19.x86_64 #1
Call Trace:
 [<ffffffff8120e600>] ? sysfs_add_one+0x60/0xe0
 [<ffffffff8105cc26>] warn_slowpath_common+0x66/0x80
 [<ffffffff8105cc8c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff8120e64e>] sysfs_add_one+0xae/0xe0
 [<ffffffff8120e821>] create_dir+0x71/0xd0
 [<ffffffff8120ebc2>] sysfs_create_dir+0x92/0xf0
 [<ffffffff812f39bb>] kobject_add_internal+0xab/0x2b0
 [<ffffffff812f3e65>] kobject_add+0x65/0xb0
 [<ffffffff813e2848>] ? device_private_init+0x28/0x90
 [<ffffffff813e29e3>] device_add+0x133/0x720
 [<ffffffff813e1227>] ? dev_set_name+0x47/0x50
 [<ffffffffa0245ace>] hci_conn_add_sysfs+0x4e/0xd0 [bluetooth]
 [<ffffffffa023a12b>] hci_event_packet+0x171b/0x2c60 [bluetooth]
 [<ffffffffa022b0e8>] hci_rx_work+0x1b8/0x3c0 [bluetooth]
 [<ffffffff810798ce>] process_one_work+0x16e/0x3f0
 [<ffffffff8107b34f>] worker_thread+0x10f/0x3d0
 [<ffffffff8107b240>] ? manage_workers+0x340/0x340
 [<ffffffff810801f0>] kthread+0xc0/0xd0
 [<ffffffff81080130>] ? insert_kthread_work+0x40/0x40
 [<ffffffff8164e6ec>] ret_from_fork+0x7c/0xb0
 [<ffffffff81080130>] ? insert_kthread_work+0x40/0x40
Comment 3 Josh Boyer 2013-09-18 16:41:09 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 4 Josh Boyer 2013-10-08 13:15:43 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.